# This file was generated by running 'miaxml2nipype.py /build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-2dimagestack-cmeans.xml /build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dimagestack_cmeans.py'
# '/build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dimagestack_cmeans.py' can be created by running 'mia-2dimagestack-cmeans --help-xml >/build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dimagestack_cmeans.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dimagestack_cmeans_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image(s) to be filtered""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("trace", "debug", "info", "message", "warning", "fail", "error", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	histogram_thresh = traits.Float( desc="""Percent of the extrem parts of the histogram to be collapsed into the respective last histogram bin.""", argstr="--histogram-thresh %f" )
	classes = traits.String( desc="""C-means class initializer""", argstr="--classes %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_probmap = File(desc="Save probability map to this file", argstr="--out-probmap %s" , mandatory = True )

#
# Output specification
#
class mia_2dimagestack_cmeans_OutputSpec(TraitedSpec):
	out_probmap = File(desc="Save probability map to this file", exists = True )


#
# Task class specification
#
class mia_2dimagestack_cmeans(CommandLine):
	input_spec = mia_2dimagestack_cmeans_InputSpec
	output_spec = mia_2dimagestack_cmeans_OutputSpec
	_cmd = "mia-2dimagestack-cmeans"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_probmap']=os.path.abspath(self.inputs.out_probmap)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dimagestack_cmeans()
	print( mia_prog.cmdline)
