# This file was generated by running 'miaxml2nipype.py /build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-2dimagestats.xml /build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dimagestats.py'
# '/build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dimagestats.py' can be created by running 'mia-2dimagestats --help-xml >/build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dimagestats.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dimagestats_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image to be analyzed""", argstr="--in-file %s", exists=True , mandatory = True )
	thresh = traits.Float( desc="""intensity thresh to ignore""", argstr="--thresh %f" )
	high_thresh = traits.Float( desc="""upper histogram percentage to ignore""", argstr="--high-thresh %f" )
	use_histogram = traits.Bool( desc="""Use a histogram to accumulate statistics""", argstr="--use-histogram" )
	verbose = traits.Enum("trace", "debug", "info", "message", "warning", "fail", "error", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )

#
# Output specification
#
class mia_2dimagestats_OutputSpec(TraitedSpec):
	stdout = traits.Str('result from stdout')


#
# Task class specification
#
class mia_2dimagestats(CommandLine):
	input_spec = mia_2dimagestats_InputSpec
	output_spec = mia_2dimagestats_OutputSpec
	_cmd = "mia-2dimagestats"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		return outputs
	def aggregate_outputs(self, runtime=None, needed_outputs=None):
		outputs = super(mia_2dimagestats, self).aggregate_outputs(runtime, needed_outputs)
		outputs.stdout = runtime.stdout
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dimagestats()
	print( mia_prog.cmdline)
