# This file was generated by running 'miaxml2nipype.py /build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-2dseriesgradvariation.xml /build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dseriesgradvariation.py'
# '/build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dseriesgradvariation.py' can be created by running 'mia-2dseriesgradvariation --help-xml >/build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dseriesgradvariation.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dseriesgradvariation_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input segmentation set""", argstr="--in-file %s", exists=True , mandatory = True )
	skip = traits.Int( desc="""Skip files at the beginning""", argstr="--skip %d" )
	enlarge_boundary = traits.Int( desc="""Enlarge cropbox by number of pixels""", argstr="--enlarge-boundary %d" )
	crop = traits.Bool( desc="""crop image before running statistics""", argstr="--crop" )
	verbose = traits.Enum("trace", "debug", "info", "message", "warning", "fail", "error", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output file name", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dseriesgradvariation_OutputSpec(TraitedSpec):
	out_file = File(desc="output file name", exists = True )


#
# Task class specification
#
class mia_2dseriesgradvariation(CommandLine):
	input_spec = mia_2dseriesgradvariation_InputSpec
	output_spec = mia_2dseriesgradvariation_OutputSpec
	_cmd = "mia-2dseriesgradvariation"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dseriesgradvariation()
	print( mia_prog.cmdline)
