# This file was generated by running 'miaxml2nipype.py /build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-3dforce.xml /build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dforce.py'
# '/build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dforce.py' can be created by running 'mia-3dforce --help-xml >/build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dforce.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dforce_InputSpec(CommandLineInputSpec):
	src_file = traits.File( desc="""input image""", argstr="--src-file %s", exists=True , mandatory = True )
	ref_file = traits.File( desc="""output force norm image""", argstr="--ref-file %s", exists=True , mandatory = True )
	cost = traits.String( desc="""cost function to use""", argstr="--cost %s" )
	verbose = traits.Enum("trace", "debug", "info", "message", "warning", "fail", "error", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="reference image", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_3dforce_OutputSpec(TraitedSpec):
	out_file = File(desc="reference image", exists = True )


#
# Task class specification
#
class mia_3dforce(CommandLine):
	input_spec = mia_3dforce_InputSpec
	output_spec = mia_3dforce_OutputSpec
	_cmd = "mia-3dforce"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dforce()
	print( mia_prog.cmdline)
