# This file was generated by running 'miaxml2nipype.py /build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-3dtrackpixelmovement.xml /build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dtrackpixelmovement.py'
# '/build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dtrackpixelmovement.py' can be created by running 'mia-3dtrackpixelmovement --help-xml >/build/mia-wBKTg7/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dtrackpixelmovement.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dtrackpixelmovement_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input point set""", argstr="--in-file %s", exists=True , mandatory = True )
	transformation = traits.File( desc="""transformation describing the monitored change""", argstr="--transformation %s", exists=True , mandatory = True )
	time_step = traits.Float( desc="""time step to use for the position update""", argstr="--time-step %f" )
	verbose = traits.Enum("trace", "debug", "info", "message", "warning", "fail", "error", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output point set", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_3dtrackpixelmovement_OutputSpec(TraitedSpec):
	out_file = File(desc="output point set", exists = True )


#
# Task class specification
#
class mia_3dtrackpixelmovement(CommandLine):
	input_spec = mia_3dtrackpixelmovement_InputSpec
	output_spec = mia_3dtrackpixelmovement_OutputSpec
	_cmd = "mia-3dtrackpixelmovement"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dtrackpixelmovement()
	print( mia_prog.cmdline)
